Skip to main content
GET
/
api
/
v1
/
compare
Compare Pairs
curl --request GET \
  --url https://app.eventgraph.ai/api/v1/compare \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "event_title": "<string>",
      "match_score": 123,
      "confidence": "<string>",
      "gap_cents": 123,
      "gap_direction": "<string>",
      "platforms": [
        {
          "platform": "<string>",
          "title": "<string>",
          "yes_price": 123,
          "volume": 123,
          "url": "<string>"
        }
      ]
    }
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "response_ms": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your EventGraph API key (eg_live_...)

Query Parameters

min_match_score
number
default:0.55
Required range: 0 <= x <= 1
min_gap
number
default:0

Minimum gap in cents

Required range: x >= 0
sort_by
enum<string>
default:gap
Available options:
gap,
volume,
score
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Matched pairs

data
object[]
timestamp
string<date-time>
meta
object